html {
  height: 100%; }

body {
  min-height: 100%; }

body {
  background: #101010 url("./assets/Plan de travail 1testqsdqsdd.png"); }

.mainConent, footer {
  display: none; }

header {
  position: relative;
  height: 100vh; }
  header .textIntro {
    position: absolute;
    max-width: 50%;
    top: 50%;
    left: 5%;
    font-family: 'Space Mono', monospace;
    font-weight: 400i;
    color: rgba(240, 240, 240, 0.9);
    text-align: right; }
    header .textIntro h1 {
      font-family: 'Space Mono', monospace;
      font-weight: 400;
      color: rgba(240, 240, 240, 0.9);
      font-style: italic; }
  header #logoSvg {
    max-height: 100vh;
    max-width: 100%;
    height: auto;
    width: auto;
    position: absolute;
    top: 0;
    right: 0; }

#puceNextPage {
  position: absolute;
  bottom: -50px;
  height: 100px;
  right: 0;
  left: 0;
  margin: 0 auto;
  cursor: pointer; }

div.content {
  width: 100%;
  padding-top: 10vh;
  text-align: center; }
  div.content h2 {
    font-family: 'Space Mono', monospace;
    font-weight: 400;
    color: rgba(240, 240, 240, 0.9);
    font-style: italic; }

/* Strikethrough */
.strikethrough {
  display: inline-block;
  position: relative;
  transition: all 0.5s cubic-bezier(0.55, 0, 0.1, 1); }

.strikethrough:after {
  content: '';
  position: absolute;
  display: block;
  width: 100%;
  height: 10%;
  border-radius: 5px;
  margin-top: -0.2em;
  margin-left: 0.4em;
  background: linear-gradient(to right, #ff8e00, #ff1b51, #ff00a1, #940df3);
  transform-origin: center left;
  animation: strikethrough 1s 0.5s cubic-bezier(0.55, 0, 0.1, 1) 1;
  transition: transform 0.5s cubic-bezier(0.55, 0, 0.1, 1); }

/* Little hover effect */
.strikethrough:hover:after {
  transform: scaleX(0);
  transform-origin: center right; }

/* Keyframes for initial animation */
@keyframes strikethrough {
  from {
    transform: scaleX(0); }

  to {
    transform: scaleX(1); } }

article {
  text-align: left;
  margin-top: 15%;
  cursor: pointer; }
  article h3 {
    font-family: 'Space Mono', monospace;
    color: rgba(240, 240, 240, 0.9);
    padding-left: 5%; }
  article div.imgProj {
    -webkit-filter: grayscale(0%);
    -moz-filter: grayscale(0%);
    filter: grayscale(0%);
    transition: all 1s ease;
    box-shadow: 0px 0px 20px black; }
  article:hover div.imgProj {
    -webkit-filter: grayscale(50%);
    -moz-filter: grayscale(50%);
    filter: grayscale(50%); }

div.containerProj div.projMore {
  display: inline-block;
  top: 0;
  left: 0;
  z-index: 100;
  position: fixed;
  display: none;
  width: 100vw;
  height: 100%;
  overflow: auto;
  background: #101010 url("./assets/Plan de travail 1testqsdqsdd.png"); }
  div.containerProj div.projMore .projDesc {
    padding: 5% 15%;
    position: static; }
    div.containerProj div.projMore .projDesc h2 {
      margin-right: 50%;
      display: inline-block;
      text-align: right;
      font-family: 'Space Mono', monospace;
      color: black;
      font-style: italic;
      padding: 5px 5px 0 50px;
      background: linear-gradient(to right top, #ff8e00, #ff1b51, #ff00a1, #940df3); }
    div.containerProj div.projMore .projDesc p {
      display: inline-block;
      color: rgba(240, 240, 240, 0.9);
      font-family: 'Space Mono', monospace;
      width: 50%; }
    div.containerProj div.projMore .projDesc ul {
      display: inline-block;
      line-height: 2rem;
      bottom: 0;
      right: 2%;
      list-style: none;
      color: rgba(240, 240, 240, 0.9);
      font-family: 'Space Mono', monospace;
      text-align: right;
      width: 50%; }
      div.containerProj div.projMore .projDesc ul li a {
        color: #ff00a1; }
  div.containerProj div.projMore .projContent {
    padding: 5% 15%;
    position: relative;
    text-align: center; }
    div.containerProj div.projMore .projContent img {
      width: 90%;
      padding: 5% 0; }
    div.containerProj div.projMore .projContent video {
      padding: 5% 0; }
    div.containerProj div.projMore .projContent .half {
      display: inline-block;
      width: 49%; }
  div.containerProj div.projMore .middleLine {
    z-index: -1;
    height: 100%;
    width: 5px;
    border-radius: 7px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    background: linear-gradient(to bottom, #ff8e00, #ff1b51, #ff00a1, #940df3); }
  div.containerProj div.projMore .close-button {
    cursor: pointer;
    text-align: right;
    height: 50px;
    width: 50px;
    position: fixed;
    right: 2%;
    top: 2%;
    box-sizing: border-box;
    line-height: 50px;
    display: inline-block;
    z-index: 100; }
    div.containerProj div.projMore .close-button:before, div.containerProj div.projMore .close-button:after {
      transform: rotate(-45deg);
      content: '';
      position: absolute;
      top: 50%;
      left: 50%;
      margin-top: -2.5px;
      margin-left: -25px;
      display: block;
      height: 5px;
      width: 50px;
      background-color: white;
      transition: all 0.2s ease-out;
      border-radius: 10px; }
    div.containerProj div.projMore .close-button:after {
      transform: rotate(45deg); }
    div.containerProj div.projMore .close-button:hover:before, div.containerProj div.projMore .close-button:hover:after {
      transform: rotate(0deg);
      background: linear-gradient(to right, #ff8e00, #ff1b51, #ff00a1, #940df3); }

footer ul {
  padding: 5%;
  margin-bottom: 0; }
  footer ul li {
    line-height: 3rem;
    font-family: 'Space Mono', monospace;
    color: rgba(240, 240, 240, 0.9);
    list-style: none; }
    footer ul li a {
      color: inherit;
      text-decoration: none; }
      footer ul li a:hover {
        color: inherit;
        text-decoration: none; }
    footer ul li i {
      display: none;
      color: transparent;
      background: linear-gradient(to right, #ff8e00, #ff1b51, #ff00a1, #940df3);
      -webkit-background-clip: text;
      background-clip: text; }
footer p {
  font-family: 'Space Mono', monospace;
  color: rgba(240, 240, 240, 0.9);
  font-style: italic;
  font-size: 0.7rem;
  margin: 0;
  text-align: right; }
